## org.jfree.chart.renderer
Class CategoryURLGeneratorTable

    java.lang.Object
      org.jfree.util.ObjectTable
          org.jfree.chart.renderer.CategoryURLGeneratorTable

All Implemented Interfaces:
  java.io.Serializable

Deprecated. This class is no longer being used in JFreeChart and will be removed before version 1.0.0 is released.

public class CategoryURLGeneratorTable
extends org.jfree.util.ObjectTable
implements java.io.Serializable

A lookup table for URL generators. Now based on the object table.

See Also:
  Serialized Form

Constructor Summary
`CategoryURLGeneratorTable()` Deprecated. Creates a new URL generator table.

Method Summary
`boolean` `equals(java.lang.Object o)` Deprecated. Tests this paint table for equality with another object (typically another label generator table).
`CategoryURLGenerator` `getURLGenerator(int row, int column)` Deprecated. Returns the URL generator object from a particular cell in the table.
`void` `setURLGenerator(int row, int column, CategoryURLGenerator generator)` Deprecated. Sets the URL generator for a cell in the table.

Methods inherited from class org.jfree.util.ObjectTable
`clear, ensureCapacity, ensureRowCapacity, getColumnCount, getColumnIncrement, getObject, getRowCount, getRowIncrement, hashCode, readSerializedData, setObject, writeSerializedData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryURLGeneratorTable

    public CategoryURLGeneratorTable()

  Deprecated.
  Creates a new URL generator table.

Method Detail

### getURLGenerator

    public CategoryURLGenerator getURLGenerator(int row,
                                                int column)

  Deprecated.
  Returns the URL generator object from a particular cell in the table.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The URL generator.

### setURLGenerator

    public void setURLGenerator(int row,
                                int column,
                                CategoryURLGenerator generator)

  Deprecated.
  Sets the URL generator for a cell in the table. The table is expanded if necessary.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
    `generator` - the URL generator.

### equals

    public boolean equals(java.lang.Object o)

  Deprecated.
  Tests this paint table for equality with another object (typically another label generator table).

  Parameters:
    `o` - the other object.
  Returns:
    A boolean.